Redmine - Defect #36377

Encoding drop-down in the import settings defaults to US-ASCII instead of general_csv_encoding in
Korean, Thai, and Shimplified Chinese

2022-01-01 08:32 - Go MAEDA

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: Importers Estimated time: 0.00 hour
Target version: 5.0.0

Resolution: Fixed Affected version:

Description

The "Encoding" drop-down is supposed to default to the encoding defined by general_csv_encoding in config/locales/*.yml files. For
example, it should default to "ISO-8859-1" when the language of your account is English.

However, the drop-down always defaults to "US-ASCII" regardless of general_csv_encoding if the language of the current user is
Korean (ko), Thai (th), or Simplified Chinese (zh).

This is because the value of general_csv_encoding in those languages is not found in Setting::ENCODINGS in
app/models/setting.rb.

Language general_csv_encoding How to fix
Korean CP949 Add CP949 to Setting::ENCODINGS
Thai Windows-874 Add Windows-874 to
Setting::ENCODINGS
Simplified Chinese gb18030 Change general_csv_encoding in zh.yml

from gb18030 to GB18030
The default value of Encoding (4883)
should be “GB18030" (the value of general_csv_encoding)
when the current user’s language is Simplified Chinese

Associated revisions

Revision 21335 - 2022-01-02 03:37 - Go MAEDA

Fix that encoding drop-down in the import settings defaults to US-ASCII instead of general_csv_encoding in Korean (#36377).

Patch by Go MAEDA.

Revision 21336 - 2022-01-02 03:38 - Go MAEDA
Fix that encoding drop-down in the import settings defaults to US-ASCII instead of general_csv_encoding in Thai (#36377).
Patch by Go MAEDA.

Revision 21337 - 2022-01-02 03:39 - Go MAEDA

Fix that encoding drop-down in the import settings defaults to US-ASCII instead of general_csv_encoding in Simplified Chinese (#36377).

Patch by Go MAEDA.

Revision 21338 - 2022-01-02 03:43 - Go MAEDA

Test if the encoding drop-down in the import settings includes all CSV encodings (#36377).

Patch by Go MAEDA.

History

#1 - 2022-01-01 09:15 - Go MAEDA
- File 36377.patch added

- Subject changed from Encoding drop-down in the import settings defaults to US-ASCII instead of general_csv_encoding in some languages to
Encoding drop-down in the import settings defaults to US-ASCII instead of general_csv_encoding in Korean, Thai, and Shimplified Chinese

- Target version set to Candidate for next minor release

Here is a patch to fix the issue.

#2 - 2022-01-02 03:45 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Target version changed from Candidate for next minor release to 5.0.0

- Resolution set to Fixed

Fixed in r21335, r21336, r21337, and r21338
